Bug 820596 - Add possibility to pass rpm custom flags to fedpkg local
Add possibility to pass rpm custom flags to fedpkg local
Status: NEW
Product: Fedora
Classification: Fedora
Component: fedpkg (Show other bugs)
rawhide
All Unspecified
unspecified Severity low
: ---
: ---
Assigned To: cqi
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-10 08:48 EDT by Helio Chissini de Castro
Modified: 2017-03-01 21:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Helio Chissini de Castro 2012-05-10 08:48:54 EDT
Fedpkg local is very useful to test build packages, but it lacks rpm ability to have extra rpm flags.

And local example is Audacity package, that by default doesn't comes compiled with mp3 support, and to rebuild package a --with mp3 is required to pass to rpmbuild. Fedpkg local could have same capability to receive --with arguments.
Comment 1 Fedora Admin XMLRPC Client 2012-11-30 13:27:21 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Ilyes Gouta 2013-03-03 11:19:58 EST
Hi,

Has this feature been implemented, or is there any other way for passing rpm options to fedpkg local?

Regards,
Ilyes
Comment 3 Fedora End Of Life 2013-04-03 10:32:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Richard W.M. Jones 2013-12-31 10:28:55 EST
(In reply to Ilyes Gouta from comment #2)
> Hi,
> 
> Has this feature been implemented, or is there any other way for passing rpm
> options to fedpkg local?

No.  The clumsy workaround is to do something like:

fedpkg srpm
rpmbuild --rebuild --with mp3 `fedpkg verrel`.src.rpm
Comment 5 Fedora Admin XMLRPC Client 2017-02-21 11:41:18 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 cqi 2017-03-01 21:17:07 EST
Belongs to Milestone 1.30[1]

[1] https://pagure.io/fedpkg/roadmap?status=Open&no_stones=&milestone=1.30

Note You need to log in before you can comment on or make changes to this bug.